Subject: [T2TRG] gcoap observe notification value

From: Ken Bannister <[email-masked]>
Date: Sun, 24 Sep 2017 22:42:55 -0400

During today's T2TRG meeting in Berlin, I fumbled a question on how 
RIOT's gcoap [1] generates the increasing Observe notification value.

gcoap uses the current time for the value, as suggested in the design 
note in sec. 3.4 and 4.4 of RFC 7641. In addition, gcoap allows the user 
to specify the width of the option (1, 2, or 3 bytes) to reduce PDU 
size. A smaller width means the length of a 'tick' increment becomes 
larger. For 1 byte, a tick is 17 seconds. For slowly changing resources 
and small MTUs, the overhead for an application to use this capability 
may be worth the space savings.

[1] http://doc.riot-os.org/group__net__gcoap.html